Skip to main content
POST
/
v6
/
employees
/
query
Query employees
curl --request POST \
  --url https://sandbox.tight.com/v6/employees/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "NAME",
    "direction": "ASC"
  },
  "filter": {
    "name": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "status": {
      "in": [
        "ACTIVE"
      ],
      "notIn": [
        "ACTIVE"
      ],
      "equal": "ACTIVE",
      "notEqual": "ACTIVE",
      "greaterThan": "ACTIVE",
      "greaterThanEqual": "ACTIVE",
      "lessThan": "ACTIVE",
      "lessThanEqual": "ACTIVE"
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "emp_12345",
      "userId": "usr_67890",
      "email": "employee@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "billableRate": 150,
      "view": "BUSINESS",
      "ownershipPercentage": 25.5,
      "classSegments": [
        {
          "id": "cls_593051",
          "label": {
            "id": "cll_4521",
            "name": "Region",
            "requiredness": "NOT_REQUIRED"
          },
          "name": "Mid-Atlantic",
          "child": {
            "id": "cls_593052",
            "label": {
              "id": "cll_4521",
              "name": "Region",
              "requiredness": "NOT_REQUIRED"
            },
            "name": "Washington DC",
            "child": "<unknown>"
          }
        }
      ],
      "status": "ACTIVE",
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.